[arch-commits] Commit in python-httplib2/repos (3 files)

Felix Yan felixonmars at archlinux.org
Mon Dec 23 09:09:51 UTC 2019


    Date: Monday, December 23, 2019 @ 09:09:50
  Author: felixonmars
Revision: 538968

archrelease: copy trunk to community-testing-any

Added:
  python-httplib2/repos/community-testing-any/
  python-httplib2/repos/community-testing-any/PKGBUILD
    (from rev 538967, python-httplib2/trunk/PKGBUILD)
  python-httplib2/repos/community-testing-any/cert.patch
    (from rev 538967, python-httplib2/trunk/cert.patch)

------------+
 PKGBUILD   |   68 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 cert.patch |   37 ++++++++++++++++++++++++++++++++
 2 files changed, 105 insertions(+)

Copied: python-httplib2/repos/community-testing-any/PKGBUILD (from rev 538967, python-httplib2/trunk/PKGBUILD)
===================================================================
--- community-testing-any/PKGBUILD	                        (rev 0)
+++ community-testing-any/PKGBUILD	2019-12-23 09:09:50 UTC (rev 538968)
@@ -0,0 +1,68 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Alexander Rødseth <rodseth at gmail.com>
+# Contributor: Jan de Groot <jgc at archlinux.org>
+# Contributor: Giorgio Lando <patroclo7 at gmail.com>
+# Contributor: Nicolas Quienot <niQo at aur>
+# Contributor: Jesse Young <jesse.young at gmail.com>
+# Contributor: Anton Eliasson <devel at antoneliasson.se>
+
+pkgbase=python-httplib2
+pkgname=(python-httplib2 python2-httplib2)
+pkgver=0.14.0
+pkgrel=1
+pkgdesc='Comprehensive HTTP client library, supporting many features'
+url='https://github.com/httplib2/httplib2'
+license=('MIT')
+arch=('any')
+makedepends=('ca-certificates' 'python-setuptools' 'python2-setuptools')
+checkdepends=('flake8' 'python2-flake8' 'python-mock' 'python2-mock' 'python-pytest-cov'
+              'python2-pytest-cov' 'python-pytest-forked' 'python2-pytest-forked'
+              'python-pytest-timeout' 'python2-pytest-timeout' 'python-pytest-xdist'
+              'python2-pytest-xdist' 'python-pytest-randomly' 'python2-pytest-randomly'
+              'python-future' 'python2-future')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/httplib2/httplib2/archive/v$pkgver.tar.gz"
+        'cert.patch')
+sha512sums=('e838ebfd43e7b9e18299449a03cf3dbb157a9fcf5af2b76ed717bc864be1a69a3f079fb28d392da308a7f23a6bee1915cca7e072eaa860023752f54162513a50'
+            '503719fb07b9ff1f06f252b73804787759139098dba990a7dcd9e9b3602f7271d2251e703993636b249b3597c9a240c721c536a4fe31526ec4ba9441f6c8da56')
+
+prepare() {
+  cd httplib2-$pkgver
+  patch -p0 -i "$srcdir"/cert.patch
+  sed -i 's/==/>=/' requirements-test.txt
+
+  cp -a "$srcdir"/httplib2-$pkgver{,-py2}
+}
+
+build() {
+  cd "$srcdir"/httplib2-$pkgver
+  python setup.py build
+
+  cd "$srcdir"/httplib2-$pkgver-py2
+  python2 setup.py build
+}
+
+check() {
+  cd "$srcdir"/httplib2-$pkgver
+  python setup.py test
+
+  cd "$srcdir"/httplib2-$pkgver-py2
+  python2 setup.py test || warning "Tests failed"
+}
+
+package_python-httplib2() {
+  depends=('python' 'ca-certificates')
+
+  cd httplib2-$pkgver
+  python setup.py install -O1 --root="$pkgdir"
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+package_python2-httplib2() {
+  depends=('python2' 'ca-certificates')
+
+  cd httplib2-$pkgver-py2
+  python2 setup.py install -O1 --root="$pkgdir"
+  install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+}
+
+# vim:set ts=2 sw=2 et:

Copied: python-httplib2/repos/community-testing-any/cert.patch (from rev 538967, python-httplib2/trunk/cert.patch)
===================================================================
--- community-testing-any/cert.patch	                        (rev 0)
+++ community-testing-any/cert.patch	2019-12-23 09:09:50 UTC (rev 538968)
@@ -0,0 +1,37 @@
+--- python2/httplib2/certs.py.orig	2018-11-15 20:09:04.605507207 +0800
++++ python2/httplib2/certs.py	2018-11-15 20:10:35.122107327 +0800
+@@ -19,9 +19,7 @@
+     pass
+ 
+ 
+-BUILTIN_CA_CERTS = os.path.join(
+-    os.path.dirname(os.path.abspath(__file__)), "cacerts.txt"
+-)
++BUILTIN_CA_CERTS = "/etc/ssl/certs/ca-certificates.crt"
+ 
+ 
+ def where():
+--- python3/httplib2/certs.py.orig	2018-11-15 20:09:15.708832692 +0800
++++ python3/httplib2/certs.py	2018-11-15 20:11:16.888741464 +0800
+@@ -19,9 +19,7 @@
+     pass
+ 
+ 
+-BUILTIN_CA_CERTS = os.path.join(
+-    os.path.dirname(os.path.abspath(__file__)), "cacerts.txt"
+-)
++BUILTIN_CA_CERTS = "/etc/ssl/certs/ca-certificates.crt"
+ 
+ 
+ def where():
+--- tests/test_cacerts_from_env.py.orig	2018-11-15 20:21:46.148162984 +0800
++++ tests/test_cacerts_from_env.py	2018-11-15 20:21:58.051484347 +0800
+@@ -6,7 +6,7 @@
+ import httplib2
+ 
+ 
+-CA_CERTS_BUILTIN = os.path.join(os.path.dirname(httplib2.__file__), "cacerts.txt")
++CA_CERTS_BUILTIN = "/etc/ssl/certs/ca-certificates.crt"
+ CERTIFI_CERTS_FILE = "unittest_certifi_file"
+ CUSTOM_CA_CERTS = "unittest_custom_ca_certs"
+ 


More information about the arch-commits mailing list